Issue 4057 - Date function outputs erroneous results when year > 9956, should output: ‘Error’
Summary: Date function outputs erroneous results when year > 9956, should output: &#82...
Status: ACCEPTED
Alias: None
Product: Calc
Classification: Application
Component: code (show other issues)
Version: 641
Hardware: All All
: P5 (lowest) Trivial (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
: 50040 (view as issue list)
Depends on:
Blocks:
 
Reported: 2002-04-15 19:35 UTC by Unknown
Modified: 2017-05-20 11:13 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2002-04-15 19:35:44 UTC
When entering years> 9956 for the DATE function the function accepts it, and 
displays erroneous results, instead of ERROR

eg: DATE(9960;06;15)  gives  12/31/99
Comment 1 peter.junge 2002-04-16 08:46:14 UTC
Hi,
yes this is a small issue. I flag it down to P5 because the year 9956
maybe not that important for most of the people.
Best regards, Peter
Comment 2 ooo 2002-04-16 13:54:21 UTC
accepted
Comment 3 ooo 2002-12-09 14:53:39 UTC
Target to OOo 2.0
Comment 4 ooo 2003-09-10 14:48:35 UTC
Developer notes: later.
Calendar based verified input, get rid of class Date in this context.
Comment 5 oc 2003-09-22 10:41:06 UTC
According to the OpenOffice.org roadmap
(http://tools.openoffice.org/releases) this issue was retargeted to
OOo Later.
Comment 6 ooo 2005-05-30 12:59:13 UTC
*** Issue 50040 has been marked as a duplicate of this issue. ***
Comment 7 Marcus 2017-05-20 11:13:25 UTC
Reset assigne to the default "issues@openoffice.apache.org".